package org.project.entity.enemies;

import org.project.abilities.BoneStrike;
import org.project.item.armors.Armor;
import org.project.item.armors.SkeletonArmor;
import org.project.item.weapons.Sword;

public class Skeleton extends Enemy {

    private static final String NAME = "Skeleton";
    private static final int MAX_HP = 40;
    private static final int MAX_MP = 30;
    private static final int XP_REWARD = 25;
    private static final int BASE_DAMAGE = 7;

    private final Armor personalArmor = new SkeletonArmor();

    public Skeleton() {

        super(
                NAME,
                MAX_HP,
                MAX_MP,
                XP_REWARD,
                BASE_DAMAGE,
                null,
                new Sword(),
                new BoneStrike()
        );
    }

    @Override
    public Armor getPersonalArmor() {
        return personalArmor;
    }

    @Override
    public String toString() {
        return  "Skeleton{" +
                "MAX_HP : 40 | " +
                "MAX_MP : 30 | " +
                "XP_REWARD : 25 | " +
                "BASE_DAMAGE : 7 | " +
                "personalArmor = " + personalArmor +
                '}';
    }
}
